function [WallPlot,BallPlot,BrotPlot,NetworkPlot]=Plot_Sample(BALLS,WALLS,POSITIONS,CONTACTS,Plot_Parameters)
Plot_Type=Plot_Parameters(1,1);
Rotation_Marker=Plot_Parameters(1,2);
Plot_Axes=Plot_Parameters(1,9:12);

figure
title('t=0');
hold on

WallPlot=zeros(size(WALLS,1),1);
BallPlot=zeros(size(BALLS,1),1);
BrotPlot=zeros(size(BALLS,1),1);
NetworkPlot=[];

for i=1:size(WALLS,1)
    WallPlot(i,1)=plot([WALLS(i,1),WALLS(i,5)],[WALLS(i,2),WALLS(i,6)],'-b');
end
Angles=[0:10:360]'/180*pi;
Circle=cat(2,cos(Angles),sin(Angles));
for i=1:size(BALLS,1)
    if Plot_Type==2 | Plot_Type==4
        BallPlot(i,1)=fill(POSITIONS(i,1)+BALLS(i,1)*Circle(:,1),POSITIONS(i,2)+BALLS(i,1)*Circle(:,2),'b','linestyle','none');
    elseif Plot_Type==1 | Plot_Type==3
        BallPlot(i,1)=plot(POSITIONS(i,1)+BALLS(i,1)*Circle(:,1),POSITIONS(i,2)+BALLS(i,1)*Circle(:,2),'linestyle','-','Color',[0.7,0.7,0.7]);
    end
    if Rotation_Marker==1
        BrotPlot(i,1)=plot([POSITIONS(i,1),POSITIONS(i,1)+BALLS(i,1)*cos(POSITIONS(i,3))],[POSITIONS(i,2),POSITIONS(i,2)+BALLS(i,1)*sin(POSITIONS(i,3))],'-b','Erasemode','xor');
    end
end
axis equal
axis(Plot_Axes);