%%% Choose a set of files to reprint %%%
Files_To_Load='Directory/Simulation';
Files_Indices=[0,1];
Directory='Directory';

%%% Choose the graphic options %%%
Print=1;
Plot_Type=4;
Rotation_Marker=0;
Colored_Quantity_Discs=0;
Discs_Quantity_Range=[0,2];
Colored_Quantity_Contacts=0;
Contacts_Quantity_Range=[0,1000];
Maximum_Line_Width=4;
Plot_Axes=[-1.05,1.05,-1.05,1.05];
Print_Resolution=150;

%%% Reprint Files %%%
mkdir(Directory)
Plot_Parameters=cat(2,Plot_Type,Rotation_Marker,Colored_Quantity_Discs,Discs_Quantity_Range(1),Discs_Quantity_Range(2),Colored_Quantity_Contacts,Contacts_Quantity_Range(1),Contacts_Quantity_Range(2),Plot_Axes,Print_Resolution,Maximum_Line_Width);
for i=Files_Indices(1):Files_Indices(2)
    File_To_Load=[Files_To_Load,int2str(i),'.mat'];
    load(File_To_Load)
    if Print==1
        [WallPlot,BallPlot,BrotPlot,NetworkPlot]=Plot_Sample(BALLS,WALLS,POSITIONS,CONTACTS,Plot_Parameters);
        NetworkPlot=[];
        [WallPlot,BallPlot,BrotPlot,NetworkPlot]=Update_Plot(BALLS,WALLS,POSITIONS,VELOCITIES,FORCES_ON_BALLS,COUNT,TIME,Plot_Parameters,WallPlot,BallPlot,BrotPlot,NetworkPlot,1);
        Snapshot_Print(Directory,i,1,Print_Resolution);
        close
    end
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%% User-defined postprocessing








    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end