function Check_Time_Step(BALLS,LAWS,TIME_STEP)
Stiffness=0;
for i=1:size(LAWS,1)
    Stiffness=max([Stiffness,LAWS{i,4}(1,1)]);
end

Interpenetration=100*mean(pi*(BALLS(:,1).^2).*BALLS(:,3))/Stiffness;
InterpenetrationRatio=Interpenetration/min(BALLS(:,1))*100;
disp([' '])
if InterpenetrationRatio<1
    disp(['Interpenetration under the load of 100 discs = ',num2str(Interpenetration)])
    disp(['Ratio to smallest radius = ',num2str(InterpenetrationRatio),' %'])
    disp('STIFFNESS OK')
elseif InterpenetrationRatio<5
    disp('WARNING: smooth contact')
    disp(['Interpenetration under the load of 100 discs = ',num2str(Interpenetration)])
    disp(['Ratio to smallest radius = ',num2str(InterpenetrationRatio),' %'])
else
    disp('WARNING: very smooth contact')
    disp(['Interpenetration under the load of 100 discs = ',num2str(Interpenetration)])
    disp(['Ratio to smallest radius = ',num2str(InterpenetrationRatio),' %'])
end


Mass=min(pi*(BALLS(:,1).^2).*BALLS(:,3));
Critical_Period=sqrt(Stiffness/Mass);
Critical_time_step=1/(50*Critical_Period);
disp([' '])
if TIME_STEP<Critical_time_step
    disp(['Critical time step = ',num2str(Critical_time_step)])
    disp(['Ratio to eigenperiod = 1/',num2str(1/(TIME_STEP*Critical_Period))])
    disp('TIME STEP OK')
elseif TIME_STEP<1/(20*Critical_Period)
    disp('WARNING: instability may occur')
    disp(['    Critical time step = ',num2str(Critical_time_step)])
    disp(['    Chosen time step = ',num2str(TIME_STEP)])
    disp(['    Ratio to eigenperiod = 1/',num2str(1/(TIME_STEP*Critical_Period))])
else
    disp('WARNING: instability might occur')
    disp(['    Critical time step = ',num2str(Critical_time_step)])
    disp(['    Chosen time step = ',num2str(TIME_STEP)])
    disp(['    Ratio to eigenperiod = 1/',num2str(1/(TIME_STEP*Critical_Period))])
end
disp([' '])