function NEIGHBOURS=Update_Neighbours(COUNT,Period_Neighbours,Neighbours_Parameter,NEIGHBOURS,POSITIONS,BALLS,WALLS)
if COUNT/Period_Neighbours~=floor(COUNT/Period_Neighbours)
    return
end
Distance=Neighbours_Parameter*max(BALLS(:,1));
for i=1:size(POSITIONS,1)-1
    Position1=POSITIONS(i,1:2);
    Radius1=BALLS(i,1);
    NEIGHBOURS{i,1}=[];
    for j=i+1:size(POSITIONS,1)
        Position2=POSITIONS(j,1:2);
        Radius2=BALLS(j,1);
        Normal_Distance=norm(Position2-Position1)-Radius1-Radius2;
        if Normal_Distance<Distance
            NEIGHBOURS{i,1}=cat(1,NEIGHBOURS{i,1},j);
        end
    end
    NEIGHBOURS{i,2}=[];
    for j=1:size(WALLS,1)
        PositionA2=WALLS(j,1:2);
        PositionB2=WALLS(j,5:6);
        VelocityA2=WALLS(j,3:4);
        VelocityB2=WALLS(j,7:8);
        Material2=WALLS(j,9);
        Wall_Length=norm(PositionB2-PositionA2);
        Position_On_Wall=dot(Position1-PositionA2,PositionB2-PositionA2)/(Wall_Length^2);
        if 0<Position_On_Wall & Position_On_Wall<1
            Contact_Point=PositionA2+(PositionB2-PositionA2)*Position_On_Wall;
            Normal_Vector=Contact_Point-Position1;
            Normal_Distance=norm(Normal_Vector)-Radius1;
        elseif Position_On_Wall<=0
            Normal_Distance=norm(PositionA2-Position1)-Radius1;
        elseif 1<=Position_On_Wall
            Normal_Distance=norm(PositionB2-Position1)-Radius1;
        end
        if Normal_Distance<Distance
            NEIGHBOURS{i,2}=cat(1,NEIGHBOURS{i,2},j);
        end
    end
end